Next Commerce
Storefront

Themes List

Retrieve a list of themes.

GET
/themes/

Authorization

oauth2 themes:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: themes:read

Query Parameters

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Response Body

application/json

curl -X GET "https://example.29next.store/api/admin/themes/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer "
{
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "results": [
    {
      "active": true,
      "id": 0,
      "name": "string"
    }
  ]
}